#!/bin/ksh

#**************************************************************
# Author: Martial Mancip
# Contact: Martial.Mancip@ipsl.jussieu.fr
# $Date: 2008/03/14 11:20:54 $
# $Name: libIGCM_v1 $
# $Revision: 1.11 $
# IPSL (2006)
#  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
# History:
# Modification:
#
#**************************************************************

# bypass specific internationalization (for awk)
export LC_ALL="C"

case $( hostname -s ) in

    brodie*) 
	echo "sys source brodie lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_brodie.ksh;;

    zahir*)
        echo "sys source zahir lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_zahir.ksh;;

    rhodes)
        echo "sys source rhodes lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_rhodes.ksh;;

    mercure??) 
	echo "sys source mercure Nec lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_mercure.ksh;;

    mercure) 
	echo "sys source mercure TX lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_mercureTX.ksh;;

    claude|nougaro|ghio|grebil|robin) 
	echo "sys source LMD lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_claude.ksh;;

    calculo) 
	echo "sys source calculo lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_calculo.ksh;;

    platine*)
	echo "sys source platine lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_platine.ksh;;

    *)       
	echo "sys source default lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_default.ksh;;

esac
